CUfileFSOps(3)

NAME
CUfileFSOps

SYNOPSIS

#include <cufile.h>

  Data Fields
const char *(* fs_type )(void *handle)
int(* getRDMADeviceList )(void *handle, sockaddr_t **hostaddrs)
int(* getRDMADevicePriority )(void *handle, char *, size_t, loff_t, sockaddr_t *hostaddr)
ssize_t(* read )(void *handle, char *, size_t, loff_t, cufileRDMAInfo_t *)
ssize_t(* write )(void *handle, const char *, size_t, loff_t, cufileRDMAInfo_t *)

Field Documentation

  const char*(* CUfileFSOps::fs_type) (void *handle)

  int(* CUfileFSOps::getRDMADeviceList) (void *handle, sockaddr_t **hostaddrs)

  int(* CUfileFSOps::getRDMADevicePriority) (void *handle, char *, size_t, loff_t, sockaddr_t *hostaddr)

  ssize_t(* CUfileFSOps::read) (void *handle, char *, size_t, loff_t, cufileRDMAInfo_t *)

  ssize_t(* CUfileFSOps::write) (void *handle, const char *, size_t, loff_t, cufileRDMAInfo_t *)

Author

Generated automatically by Doxygen for GPUDirect Storage from the source code.